

// 引入vue-router
import {
	createRouter,
	createWebHistory
} from 'vue-router'
import login from '../view/login.vue'
import index from '../view/index.vue'
import consumer from '../view/consumer.vue'
import projectManagement from '../view/projectManagement.vue'
import projectTopic from '../view/projectTopic.vue'
import generateTest from '../view/generateTest.vue'
import topicParameters from '../view/topicParameters.vue'
//配置路由
const router = createRouter({
	history: createWebHistory(),
	routes: [{
		path: '/', //登录页
		name: 'login',
		component: login
	},
    {
		path: '/index', //
		name: 'index',
		component: index
	},
	{
		path: '/consumer', //
		name: 'consumer',
		component: consumer
	},
    {
		path: '/projectManagement', //
		name: 'projectManagement',
		component: projectManagement
	},
    {
		path: '/projectTopic', //
		name: 'projectTopic',
		component: projectTopic
	}
	,
    {
		path: '/generateTest', //
		name: 'generateTest',
		component: generateTest
	}	,
    {
		path: '/topicParameters', //
		name: 'topicParameters',
		component: topicParameters
	}
]
})
// 导出router
export default router;